graph.followerarraygraph

## Class FollowerArrayGraphLatch

- java.lang.Object
- - graph.followerarraygraph.FollowerArrayGraphLatch

- All Implemented Interfaces:
    GraphLatch

      public class FollowerArrayGraphLatch
      extends java.lang.Object
      implements GraphLatch

  Záznam, kam zachytím stav procházení grafu implementovaného polem následovníků.

  Užití: Používá se v aplikaci jako výsledek funkce Latch a jako parametr procedury Restore.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `edgeIx` index zachycené běžné hrany
    `private int` | `vertIx` index zachyceného běžného vrcholu

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FollowerArrayGraphLatch(int vix, int eix)` Vyrobí instanci třídy FollowerArrayGraphLatch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `GetEdgeIx()`
    `int` | `GetVertIx()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertIx

          private int vertIx

      index zachyceného běžného vrcholu

    - #### edgeIx

          private int edgeIx

      index zachycené běžné hrany

  - ### Constructor Detail

    - #### FollowerArrayGraphLatch

          public FollowerArrayGraphLatch(int vix,
                                         int eix)

      Vyrobí instanci třídy FollowerArrayGraphLatch.
      Parameters:
        `vix` - index běžného vrcholu
        `eix` - index běžné hrany

  - ### Method Detail

    - #### GetVertIx

          public int GetVertIx()

      Specified by:
        `GetVertIx` in interface `GraphLatch`
      Returns:
        index běžného vrcholu

    - #### GetEdgeIx

          public int GetEdgeIx()

      Specified by:
        `GetEdgeIx` in interface `GraphLatch`
      Returns:
        index běžné hrany